Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class SegmentFactory.CallGate16Bit

    java.lang.Object
      dioscuri.module.cpu32.Segment
          dioscuri.module.cpu32.SegmentFactory.GateSegment
              dioscuri.module.cpu32.SegmentFactory.CallGate16Bit

All Implemented Interfaces:
  Hibernatable

Enclosing class:
  SegmentFactory

    public static final class SegmentFactory.CallGate16Bit

extends SegmentFactory.GateSegment

Constructor Summary
`SegmentFactory.CallGate16Bit(Memory memory, int selector, long descriptor)`

Method Summary
`void` | `checkAddress(int offset)`
`int` | `dumpState(java.io.DataOutput output)`
`int` | `getBase()`
`byte` | `getByte(int offset)`
`boolean` | `getDefaultSizeFlag()`
`int` | `getDoubleWord(int offset)`
`int` | `getDPL()`
`int` | `getLimit()`
`int` | `getParameterCount()`
`long` | `getQuadWord(int offset)`
`int` | `getRPL()`
`int` | `getSelector()`
`int` | `getType()`
`short` | `getWord(int offset)`
`void` | `invalidateAddress(int address)`
`boolean` | `isPresent()`
`void` | `setAddressSpace(AddressSpace memory)`
`void` | `setByte(int offset, byte data)`
`void` | `setDoubleWord(int offset, int data)`
`void` | `setQuadWord(int offset, long data)`
`void` | `setRPL(int cpl)`
`boolean` | `setSelector(int selector)`
`void` | `setWord(int offset, short data)`
`int` | `translateAddressRead(int offset)`
`int` | `translateAddressWrite(int offset)`

Methods inherited from class dioscuri.module.cpu32.SegmentFactory.GateSegment
`getTargetOffset, getTargetSegment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentFactory.CallGate16Bit

    public SegmentFactory.CallGate16Bit(Memory memory,
                                        int selector,
                                        long descriptor)

Parameters:
  `memory` -
  `selector` -
  `descriptor` -

Method Detail

### getType

    public int getType()

  Returns:
    -

### getParameterCount

    public final int getParameterCount()

  Returns:
    -

### setByte

    public void setByte(int offset,
                        byte data)

### setWord

    public void setWord(int offset,
                        short data)

### setDoubleWord

    public void setDoubleWord(int offset,
                              int data)

### setQuadWord

    public void setQuadWord(int offset,
                            long data)

### dumpState

    public int dumpState(java.io.DataOutput output)
                  throws java.io.IOException

  Specified by:
    `dumpState` in class `Segment`
  Returns:
    -
  Throws:
    `java.io.IOException`

### isPresent

    public boolean isPresent()

  Returns:
    -

### translateAddressRead

    public final int translateAddressRead(int offset)

  Returns:
    -

### translateAddressWrite

    public final int translateAddressWrite(int offset)

  Returns:
    -

### checkAddress

    public final void checkAddress(int offset)

### getDefaultSizeFlag

    public boolean getDefaultSizeFlag()

  Returns:
    -

### getLimit

    public int getLimit()

  Returns:
    -

### getBase

    public int getBase()

  Returns:
    -

### getSelector

    public int getSelector()

  Returns:
    -

### getRPL

    public int getRPL()

  Returns:
    -

### getDPL

    public int getDPL()

  Returns:
    -

### setRPL

    public void setRPL(int cpl)

### setAddressSpace

    public void setAddressSpace(AddressSpace memory)

  Specified by:
    `setAddressSpace` in class `Segment`

### invalidateAddress

    public void invalidateAddress(int address)

### setSelector

    public boolean setSelector(int selector)

  Specified by:
    `setSelector` in class `Segment`
  Returns:
    -

### getByte

    public byte getByte(int offset)

  Specified by:
    `getByte` in class `Segment`
  Returns:
    -

### getWord

    public short getWord(int offset)

  Specified by:
    `getWord` in class `Segment`
  Returns:
    -

### getDoubleWord

    public int getDoubleWord(int offset)

  Specified by:
    `getDoubleWord` in class `Segment`
  Returns:
    -

### getQuadWord

    public long getQuadWord(int offset)

  Specified by:
    `getQuadWord` in class `Segment`
  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD